//Cristian Ronzoni 3Ain
//Programma con una matrice che conta Pari e Dispari
#include <iostream>
#include <iomanip>
#include <cstdlib>
#include <ctime>
#define DEF 2
using namespace std;
void riempi(int arr[DEF][DEF]);
void stampa(int arr[DEF][DEF]);
void contaPariEDispari(int arr[DEF][DEF], int pari, int dispari){
	for(size_t i = 0; i<DEF; ++i){
		for(size_t j = 0; j<DEF; ++j){
			if(arr[i][j] % 2 == 0){
				pari+=1;
			}
			else
				dispari+=1;
		}
	}
	cout << "In questa matrice ci sono "<< pari << " numeri pari e "<< dispari << " numeri dispari";
}



int main(void){
	srand(time(NULL));
	
	int bobby[DEF][DEF];
	int npari = 0;
	int ndispari = 0;
	
	riempi(bobby);
	stampa(bobby);
	contaPariEDispari(bobby, npari,ndispari);
	
	
	
	
	
	
}


void stampa(int arr[DEF][DEF]){
	for(size_t i = 0; i<DEF; ++i){
		for(size_t j = 0; j<DEF; ++j){
			cout << setw(4) << arr[i][j] ;
		}
		cout << endl;
	}	
	
	
}
void riempi(int arr[DEF][DEF]){
	for(size_t i = 0; i<DEF; ++i){
		for(size_t j = 0; j<DEF; ++j){
			arr[i][j] = rand() % 20;
		}
	}
	
	
}

